summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2012-06-24 07:35:48 -0400
committerAnthony G. Basile <blueness@gentoo.org>2012-06-24 07:36:25 -0400
commitac288da04d891a73c8b358c03df1237b508328cf (patch)
tree91803846ea731a0311ac992666553326d924a3e5
parentGrsec/PaX: 2.9-{2.6.32.59,3.2.21,3.4.3}-201206201813 (diff)
downloadhardened-patchset-ac288da04d891a73c8b358c03df1237b508328cf.tar.gz
hardened-patchset-ac288da04d891a73c8b358c03df1237b508328cf.tar.bz2
hardened-patchset-ac288da04d891a73c8b358c03df1237b508328cf.zip
Grsec/PaX: 2.9-{2.6.32.59,3.2.21,3.4.3}-201206221855
-rw-r--r--2.6.32/0000_README2
-rw-r--r--2.6.32/4420_grsecurity-2.9.1-2.6.32.59-201206221854.patch (renamed from 2.6.32/4420_grsecurity-2.9.1-2.6.32.59-201206201812.patch)14
-rw-r--r--3.2.21/0000_README2
-rw-r--r--3.2.21/4420_grsecurity-2.9.1-3.2.21-201206221855.patch (renamed from 3.2.21/4420_grsecurity-2.9.1-3.2.21-201206201812.patch)14
-rw-r--r--3.4.3/0000_README2
-rw-r--r--3.4.3/4420_grsecurity-2.9.1-3.4.3-201206221855.patch (renamed from 3.4.3/4420_grsecurity-2.9.1-3.4.3-201206201813.patch)14
6 files changed, 27 insertions, 21 deletions
diff --git a/2.6.32/0000_README b/2.6.32/0000_README
index 088e49f..2d06b4c 100644
--- a/2.6.32/0000_README
+++ b/2.6.32/0000_README
@@ -30,7 +30,7 @@ Patch: 1058_linux-2.6.32.59.patch
From: http://www.kernel.org
Desc: Linux 2.6.32.59
-Patch: 4420_grsecurity-2.9.1-2.6.32.59-201206201812.patch
+Patch: 4420_grsecurity-2.9.1-2.6.32.59-201206221854.patch
From: http://www.grsecurity.net
Desc: hardened-sources base patch from upstream grsecurity
diff --git a/2.6.32/4420_grsecurity-2.9.1-2.6.32.59-201206201812.patch b/2.6.32/4420_grsecurity-2.9.1-2.6.32.59-201206221854.patch
index 813ccaa..fd75831 100644
--- a/2.6.32/4420_grsecurity-2.9.1-2.6.32.59-201206201812.patch
+++ b/2.6.32/4420_grsecurity-2.9.1-2.6.32.59-201206221854.patch
@@ -104571,11 +104571,11 @@ index 6bf21f8..c0546b3 100644
fprintf(stderr, "fixdep: sizeof(int) != 4 or wrong endianess? %#x\n",
diff --git a/scripts/gcc-plugin.sh b/scripts/gcc-plugin.sh
new file mode 100644
-index 0000000..5a412da
+index 0000000..008ac1a
--- /dev/null
+++ b/scripts/gcc-plugin.sh
@@ -0,0 +1,17 @@
-+#!/bin/sh
++#!/bin/bash
+plugincc=`$1 -x c -shared - -o /dev/null -I\`$3 -print-file-name=plugin\`/include 2>&1 <<EOF
+#include "gcc-plugin.h"
+#include "tree.h"
@@ -104589,8 +104589,8 @@ index 0000000..5a412da
+EOF`
+if [ $? -eq 0 ]
+then
-+ [[ "$plugincc" =~ "$1" ]] && echo $1
-+ [[ "$plugincc" =~ "$2" ]] && echo $2
++ [[ "$plugincc" =~ "$1" ]] && echo "$1"
++ [[ "$plugincc" =~ "$2" ]] && echo "$2"
+fi
diff --git a/scripts/mod/file2alias.c b/scripts/mod/file2alias.c
index 62a9025..65b82ad 100644
@@ -110062,10 +110062,10 @@ index 0000000..eb35e4a
+_001950_hash acl_alloc_num 1-2 60778 _001950_hash NULL
diff --git a/tools/gcc/size_overflow_plugin.c b/tools/gcc/size_overflow_plugin.c
new file mode 100644
-index 0000000..2151b59
+index 0000000..cc96254
--- /dev/null
+++ b/tools/gcc/size_overflow_plugin.c
-@@ -0,0 +1,1202 @@
+@@ -0,0 +1,1204 @@
+/*
+ * Copyright 2011, 2012 by Emese Revfy <re.emese@gmail.com>
+ * Licensed under the GPL v2, or (at your option) v3
@@ -110245,6 +110245,8 @@ index 0000000..2151b59
+ return 9;
+ case VECTOR_TYPE:
+ return 10;
++ case REFERENCE_TYPE:
++ return 11;
+ default:
+ debug_tree(type);
+ gcc_unreachable();
diff --git a/3.2.21/0000_README b/3.2.21/0000_README
index 94fa0d9..ebad4be 100644
--- a/3.2.21/0000_README
+++ b/3.2.21/0000_README
@@ -2,7 +2,7 @@ README
-----------------------------------------------------------------------------
Individual Patch Descriptions:
-----------------------------------------------------------------------------
-Patch: 4420_grsecurity-2.9.1-3.2.21-201206201812.patch
+Patch: 4420_grsecurity-2.9.1-3.2.21-201206221855.patch
From: http://www.grsecurity.net
Desc: hardened-sources base patch from upstream grsecurity
diff --git a/3.2.21/4420_grsecurity-2.9.1-3.2.21-201206201812.patch b/3.2.21/4420_grsecurity-2.9.1-3.2.21-201206221855.patch
index 54bd723..cf14807 100644
--- a/3.2.21/4420_grsecurity-2.9.1-3.2.21-201206201812.patch
+++ b/3.2.21/4420_grsecurity-2.9.1-3.2.21-201206221855.patch
@@ -79435,11 +79435,11 @@ index cb1f50c..cef2a7c 100644
fprintf(stderr, "fixdep: sizeof(int) != 4 or wrong endianess? %#x\n",
diff --git a/scripts/gcc-plugin.sh b/scripts/gcc-plugin.sh
new file mode 100644
-index 0000000..5a412da
+index 0000000..008ac1a
--- /dev/null
+++ b/scripts/gcc-plugin.sh
@@ -0,0 +1,17 @@
-+#!/bin/sh
++#!/bin/bash
+plugincc=`$1 -x c -shared - -o /dev/null -I\`$3 -print-file-name=plugin\`/include 2>&1 <<EOF
+#include "gcc-plugin.h"
+#include "tree.h"
@@ -79453,8 +79453,8 @@ index 0000000..5a412da
+EOF`
+if [ $? -eq 0 ]
+then
-+ [[ "$plugincc" =~ "$1" ]] && echo $1
-+ [[ "$plugincc" =~ "$2" ]] && echo $2
++ [[ "$plugincc" =~ "$1" ]] && echo "$1"
++ [[ "$plugincc" =~ "$2" ]] && echo "$2"
+fi
diff --git a/scripts/mod/file2alias.c b/scripts/mod/file2alias.c
index d1d0ae8..6b73b2a 100644
@@ -85073,10 +85073,10 @@ index 0000000..54a12fe
+_002541_hash acl_alloc_num 1-2 60778 _002541_hash NULL
diff --git a/tools/gcc/size_overflow_plugin.c b/tools/gcc/size_overflow_plugin.c
new file mode 100644
-index 0000000..2151b59
+index 0000000..cc96254
--- /dev/null
+++ b/tools/gcc/size_overflow_plugin.c
-@@ -0,0 +1,1202 @@
+@@ -0,0 +1,1204 @@
+/*
+ * Copyright 2011, 2012 by Emese Revfy <re.emese@gmail.com>
+ * Licensed under the GPL v2, or (at your option) v3
@@ -85256,6 +85256,8 @@ index 0000000..2151b59
+ return 9;
+ case VECTOR_TYPE:
+ return 10;
++ case REFERENCE_TYPE:
++ return 11;
+ default:
+ debug_tree(type);
+ gcc_unreachable();
diff --git a/3.4.3/0000_README b/3.4.3/0000_README
index d4fba15..399b294 100644
--- a/3.4.3/0000_README
+++ b/3.4.3/0000_README
@@ -2,7 +2,7 @@ README
-----------------------------------------------------------------------------
Individual Patch Descriptions:
-----------------------------------------------------------------------------
-Patch: 4420_grsecurity-2.9.1-3.4.3-201206201813.patch
+Patch: 4420_grsecurity-2.9.1-3.4.3-201206221855.patch
From: http://www.grsecurity.net
Desc: hardened-sources base patch from upstream grsecurity
diff --git a/3.4.3/4420_grsecurity-2.9.1-3.4.3-201206201813.patch b/3.4.3/4420_grsecurity-2.9.1-3.4.3-201206221855.patch
index 36c69c9..11b28cf 100644
--- a/3.4.3/4420_grsecurity-2.9.1-3.4.3-201206201813.patch
+++ b/3.4.3/4420_grsecurity-2.9.1-3.4.3-201206221855.patch
@@ -77522,11 +77522,11 @@ index cb1f50c..cef2a7c 100644
fprintf(stderr, "fixdep: sizeof(int) != 4 or wrong endianess? %#x\n",
diff --git a/scripts/gcc-plugin.sh b/scripts/gcc-plugin.sh
new file mode 100644
-index 0000000..5a412da
+index 0000000..008ac1a
--- /dev/null
+++ b/scripts/gcc-plugin.sh
@@ -0,0 +1,17 @@
-+#!/bin/sh
++#!/bin/bash
+plugincc=`$1 -x c -shared - -o /dev/null -I\`$3 -print-file-name=plugin\`/include 2>&1 <<EOF
+#include "gcc-plugin.h"
+#include "tree.h"
@@ -77540,8 +77540,8 @@ index 0000000..5a412da
+EOF`
+if [ $? -eq 0 ]
+then
-+ [[ "$plugincc" =~ "$1" ]] && echo $1
-+ [[ "$plugincc" =~ "$2" ]] && echo $2
++ [[ "$plugincc" =~ "$1" ]] && echo "$1"
++ [[ "$plugincc" =~ "$2" ]] && echo "$2"
+fi
diff --git a/scripts/mod/file2alias.c b/scripts/mod/file2alias.c
index 44ddaa5..a3119bd 100644
@@ -83177,10 +83177,10 @@ index 0000000..daaa86c
+_002636_hash acl_alloc_num 1-2 60778 _002636_hash NULL
diff --git a/tools/gcc/size_overflow_plugin.c b/tools/gcc/size_overflow_plugin.c
new file mode 100644
-index 0000000..2151b59
+index 0000000..cc96254
--- /dev/null
+++ b/tools/gcc/size_overflow_plugin.c
-@@ -0,0 +1,1202 @@
+@@ -0,0 +1,1204 @@
+/*
+ * Copyright 2011, 2012 by Emese Revfy <re.emese@gmail.com>
+ * Licensed under the GPL v2, or (at your option) v3
@@ -83360,6 +83360,8 @@ index 0000000..2151b59
+ return 9;
+ case VECTOR_TYPE:
+ return 10;
++ case REFERENCE_TYPE:
++ return 11;
+ default:
+ debug_tree(type);
+ gcc_unreachable();